// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.25.0
// 	protoc        v3.11.2
// source: pkg/db/account.proto

package db

import (
	proto "github.com/golang/protobuf/proto"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

// Server stores accounts on behalf of clients
type AccountPB struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	AccountId      []byte `protobuf:"bytes,1,opt,name=account_id,json=accountId,proto3" json:"account_id,omitempty"`
	Generation     int64  `protobuf:"varint,2,opt,name=generation,proto3" json:"generation,omitempty"`
	ServerSecret   []byte `protobuf:"bytes,3,opt,name=server_secret,json=serverSecret,proto3" json:"server_secret,omitempty"`
	LastAccessTime []byte `protobuf:"bytes,4,opt,name=last_access_time,json=lastAccessTime,proto3" json:"last_access_time,omitempty"`
}

func (x *AccountPB) Reset() {
	*x = AccountPB{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_db_account_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *AccountPB) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AccountPB) ProtoMessage() {}

func (x *AccountPB) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_db_account_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AccountPB.ProtoReflect.Descriptor instead.
func (*AccountPB) Descriptor() ([]byte, []int) {
	return file_pkg_db_account_proto_rawDescGZIP(), []int{0}
}

func (x *AccountPB) GetAccountId() []byte {
	if x != nil {
		return x.AccountId
	}
	return nil
}

func (x *AccountPB) GetGeneration() int64 {
	if x != nil {
		return x.Generation
	}
	return 0
}

func (x *AccountPB) GetServerSecret() []byte {
	if x != nil {
		return x.ServerSecret
	}
	return nil
}

func (x *AccountPB) GetLastAccessTime() []byte {
	if x != nil {
		return x.LastAccessTime
	}
	return nil
}

type Vault struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name           string   `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	Salt           []byte   `protobuf:"bytes,2,opt,name=salt,proto3" json:"salt,omitempty"`
	Cycles         int32    `protobuf:"varint,3,opt,name=cycles,proto3" json:"cycles,omitempty"`
	Streams        int32    `protobuf:"varint,4,opt,name=streams,proto3" json:"streams,omitempty"`
	Entries        [][]byte `protobuf:"bytes,5,rep,name=entries,proto3" json:"entries,omitempty"`
	Payloads       [][]byte `protobuf:"bytes,6,rep,name=payloads,proto3" json:"payloads,omitempty"`
	ServerLocation string   `protobuf:"bytes,7,opt,name=server_location,json=serverLocation,proto3" json:"server_location,omitempty"`
}

func (x *Vault) Reset() {
	*x = Vault{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_db_account_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Vault) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Vault) ProtoMessage() {}

func (x *Vault) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_db_account_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Vault.ProtoReflect.Descriptor instead.
func (*Vault) Descriptor() ([]byte, []int) {
	return file_pkg_db_account_proto_rawDescGZIP(), []int{1}
}

func (x *Vault) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *Vault) GetSalt() []byte {
	if x != nil {
		return x.Salt
	}
	return nil
}

func (x *Vault) GetCycles() int32 {
	if x != nil {
		return x.Cycles
	}
	return 0
}

func (x *Vault) GetStreams() int32 {
	if x != nil {
		return x.Streams
	}
	return 0
}

func (x *Vault) GetEntries() [][]byte {
	if x != nil {
		return x.Entries
	}
	return nil
}

func (x *Vault) GetPayloads() [][]byte {
	if x != nil {
		return x.Payloads
	}
	return nil
}

func (x *Vault) GetServerLocation() string {
	if x != nil {
		return x.ServerLocation
	}
	return ""
}

var File_pkg_db_account_proto protoreflect.FileDescriptor

var file_pkg_db_account_proto_rawDesc = []byte{
	0x0a, 0x14, 0x70, 0x6b, 0x67, 0x2f, 0x64, 0x62, 0x2f, 0x61, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x99, 0x01, 0x0a, 0x09, 0x41, 0x63, 0x63, 0x6f, 0x75,
	0x6e, 0x74, 0x50, 0x42, 0x12, 0x1d, 0x0a, 0x0a, 0x61, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x5f,
	0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x09, 0x61, 0x63, 0x63, 0x6f, 0x75, 0x6e,
	0x74, 0x49, 0x64, 0x12, 0x1e, 0x0a, 0x0a, 0x67, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x74, 0x69, 0x6f,
	0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0a, 0x67, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x12, 0x23, 0x0a, 0x0d, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x5f, 0x73, 0x65,
	0x63, 0x72, 0x65, 0x74, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x0c, 0x73, 0x65, 0x72, 0x76,
	0x65, 0x72, 0x53, 0x65, 0x63, 0x72, 0x65, 0x74, 0x12, 0x28, 0x0a, 0x10, 0x6c, 0x61, 0x73, 0x74,
	0x5f, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x74, 0x69, 0x6d, 0x65, 0x18, 0x04, 0x20, 0x01,
	0x28, 0x0c, 0x52, 0x0e, 0x6c, 0x61, 0x73, 0x74, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x54, 0x69,
	0x6d, 0x65, 0x22, 0xc0, 0x01, 0x0a, 0x05, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x12, 0x12, 0x0a, 0x04,
	0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65,
	0x12, 0x12, 0x0a, 0x04, 0x73, 0x61, 0x6c, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x04,
	0x73, 0x61, 0x6c, 0x74, 0x12, 0x16, 0x0a, 0x06, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x73, 0x18, 0x03,
	0x20, 0x01, 0x28, 0x05, 0x52, 0x06, 0x63, 0x79, 0x63, 0x6c, 0x65, 0x73, 0x12, 0x18, 0x0a, 0x07,
	0x73, 0x74, 0x72, 0x65, 0x61, 0x6d, 0x73, 0x18, 0x04, 0x20, 0x01, 0x28, 0x05, 0x52, 0x07, 0x73,
	0x74, 0x72, 0x65, 0x61, 0x6d, 0x73, 0x12, 0x18, 0x0a, 0x07, 0x65, 0x6e, 0x74, 0x72, 0x69, 0x65,
	0x73, 0x18, 0x05, 0x20, 0x03, 0x28, 0x0c, 0x52, 0x07, 0x65, 0x6e, 0x74, 0x72, 0x69, 0x65, 0x73,
	0x12, 0x1a, 0x0a, 0x08, 0x70, 0x61, 0x79, 0x6c, 0x6f, 0x61, 0x64, 0x73, 0x18, 0x06, 0x20, 0x03,
	0x28, 0x0c, 0x52, 0x08, 0x70, 0x61, 0x79, 0x6c, 0x6f, 0x61, 0x64, 0x73, 0x12, 0x27, 0x0a, 0x0f,
	0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x5f, 0x6c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18,
	0x07, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0e, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x4c, 0x6f, 0x63,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x42, 0x14, 0x5a, 0x12, 0x74, 0x69, 0x6d, 0x65, 0x6c, 0x6f, 0x63,
	0x6b, 0x2e, 0x6d, 0x65, 0x2f, 0x70, 0x6b, 0x67, 0x2f, 0x64, 0x62, 0x62, 0x06, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x33,
}

var (
	file_pkg_db_account_proto_rawDescOnce sync.Once
	file_pkg_db_account_proto_rawDescData = file_pkg_db_account_proto_rawDesc
)

func file_pkg_db_account_proto_rawDescGZIP() []byte {
	file_pkg_db_account_proto_rawDescOnce.Do(func() {
		file_pkg_db_account_proto_rawDescData = protoimpl.X.CompressGZIP(file_pkg_db_account_proto_rawDescData)
	})
	return file_pkg_db_account_proto_rawDescData
}

var file_pkg_db_account_proto_msgTypes = make([]protoimpl.MessageInfo, 2)
var file_pkg_db_account_proto_goTypes = []interface{}{
	(*AccountPB)(nil), // 0: AccountPB
	(*Vault)(nil),     // 1: Vault
}
var file_pkg_db_account_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_pkg_db_account_proto_init() }
func file_pkg_db_account_proto_init() {
	if File_pkg_db_account_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_pkg_db_account_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*AccountPB); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_db_account_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Vault); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_pkg_db_account_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   2,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_pkg_db_account_proto_goTypes,
		DependencyIndexes: file_pkg_db_account_proto_depIdxs,
		MessageInfos:      file_pkg_db_account_proto_msgTypes,
	}.Build()
	File_pkg_db_account_proto = out.File
	file_pkg_db_account_proto_rawDesc = nil
	file_pkg_db_account_proto_goTypes = nil
	file_pkg_db_account_proto_depIdxs = nil
}
